%define         module pynvim

Name:		python-%{module}
Version:	0.5.2
Release:	%mkrel 3
License:	ASL 2.0
Summary:	Python client for Neovim
Group:		Editors
URL:		https://github.com/neovim/python-client
Source0:        https://github.com/neovim/python-client/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(pytest-runner)

%description
Implements support for python plugins in Nvim. Also works as a library for
connecting to and scripting Nvim processes through its msgpack-rpc API.

%package -n python3-%{module}
Summary:	Python client for Neovim
Requires:	neovim
Provides:	python3-neovim = %{version}-%{release}
Obsoletes:      python3-neovim < 0.3.0-2
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Implements support for python plugins in Nvim. Also works as a library for
connecting to and scripting Nvim processes through its msgpack-rpc API.

%prep
%autosetup -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.5.2-3.mga10
+ Revision: 2240360
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.5.2-2.mga10
+ Revision: 2157378
- rebuild for python3.13

* Thu Nov 14 2024 kekepower <kekepower> 0.5.2-1.mga10
+ Revision: 2115172
- Update to version 0.5.2

* Wed Jan 31 2024 papoteur <papoteur> 0.5.0-2.mga10
+ Revision: 2036459
- rebuild for python 3.12
- use pyproject macros

* Tue Dec 05 2023 kekepower <kekepower> 0.5.0-1.mga10
+ Revision: 2013353
- Update to version 0.5.0

* Sun Mar 27 2022 umeabot <umeabot> 0.4.3-5.mga9
+ Revision: 1828872
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.4.3-4.mga9
+ Revision: 1775554
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.3-3.mga9
+ Revision: 1732968
- Rebuild for python 3.9

* Fri May 28 2021 joequant <joequant> 0.4.3-2.mga9
+ Revision: 1728737
- update to python 3.9

* Tue Mar 02 2021 kekepower <kekepower> 0.4.3-1.mga9
+ Revision: 1696277
- Update to version 0.4.3

* Wed Sep 16 2020 kekepower <kekepower> 0.4.2-1.mga8
+ Revision: 1626902
- Update to version 0.4.2

* Wed Feb 19 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1544319
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 kekepower <kekepower> 0.4.1-1.mga8
+ Revision: 1482854
- Update to version 0.4.1

* Mon Dec 23 2019 kekepower <kekepower> 0.4.0-1.mga8
+ Revision: 1469627
- BR python3dist(pytest-runner)
- Update to version 0.4.0

* Sun Oct 13 2019 tv <tv> 0.3.2-2.mga8
+ Revision: 1452732
- rebuild for python-3.8
- drop python2 subpkg

* Sun Jan 20 2019 kekepower <kekepower> 0.3.2-1.mga7
+ Revision: 1358455
- Update to version 0.3.2

* Mon Jan 07 2019 kekepower <kekepower> 0.3.1-4.mga7
+ Revision: 1350998
- Rebuild for Python 3.7

* Sun Dec 16 2018 kekepower <kekepower> 0.3.1-3.mga7
+ Revision: 1341551
- Obsolete the correct packages

* Sun Nov 18 2018 kekepower <kekepower> 0.3.1-2.mga7
+ Revision: 1330929
- Fix typo in python_provide for the python2 module

* Sat Nov 17 2018 kekepower <kekepower> 0.3.1-1.mga7
+ Revision: 1330476
- Project has been renamed to pynvim
- Update to version 0.3.1
- Project has been renamed to pynvim

* Wed Nov 14 2018 kekepower <kekepower> 0.3.0-1.mga7
+ Revision: 1329930
- Update to version 0.3.0

* Thu Sep 20 2018 umeabot <umeabot> 0.2.6-2.mga7
+ Revision: 1289478
- Mageia 7 Mass Rebuild

* Fri May 04 2018 kekepower <kekepower> 0.2.6-1.mga7
+ Revision: 1226227
- Update to version 0.2.6

* Fri Mar 16 2018 kekepower <kekepower> 0.2.4-1.mga7
+ Revision: 1209867
- Update to version 0.2.4

* Fri Mar 02 2018 kekepower <kekepower> 0.2.3-1.mga7
+ Revision: 1206086
- Update to version 0.2.3

* Fri Feb 09 2018 kekepower <kekepower> 0.2.1-5.mga7
+ Revision: 1199956
- Rebuild for new python-msgpack

* Fri Feb 09 2018 kekepower <kekepower> 0.2.1-4.mga7
+ Revision: 1199856
- Using %%define __python_requires %%{nil} to supress warning during install

* Fri Feb 09 2018 kekepower <kekepower> 0.2.1-3.mga7
+ Revision: 1199852
- Require minimum version 0.5.0 of python-msgpack

* Fri Feb 09 2018 kekepower <kekepower> 0.2.1-2.mga7
+ Revision: 1199820
- Rebuild against new python-msgpack

* Thu Feb 08 2018 kekepower <kekepower> 0.2.1-1.mga7
+ Revision: 1199759
- Update to version 0.2.1

* Mon Dec 04 2017 wally <wally> 0.2.0-1.mga7
+ Revision: 1181179
- new version 0.2.0

* Sun Oct 29 2017 wally <wally> 0.1.13-2.mga7
+ Revision: 1174849
- make python2-neovim to provide python-neovim

* Sun Oct 29 2017 wally <wally> 0.1.13-1.mga7
+ Revision: 1174834
- imported package python-neovim

